/**
 ******************************************************************************
 * @file    gnss_app_cfg.h
 * @author  AST/CL
 * @version V2.0.0
 * @date    Jan, 2018
 * @brief   Defines macro for GNSS features
 ******************************************************************************
 * @attention
 *
 * <h2><center>&copy; COPYRIGHT(c) 2018 STMicroelectronics</center></h2>
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *   1. Redistributions of source code must retain the above copyright notice,
 *      this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright notice,
 *      this list of conditions and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *   3. Neither the name of STMicroelectronics nor the names of its contributors
 *      may be used to endorse or promote products derived from this software
 *      without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef GNSS_APP_CFG_H
#define GNSS_APP_CFG_H

#ifdef __cplusplus
 extern "C" {
#endif

/** @addtogroup PROJECTS PROJECTS
  * @{
  */
   
/** @addtogroup STEVAL-STRKT01 STEVAL-STRKT01
  * @{
  */  
   
/** @addtogroup STEVAL-STRKT01_ASSET_TRACKER Asset Tracker
  * @{
  */    
    
/** @addtogroup STEVAL-STRKT01_LoRaWAN LoRaWAN
  * @{
 */

/** @addtogroup STEVAL-STRKT01_SimOSGetPos
 * @{
 */
 	
/** @addtogroup STEVAL-STRKT01_SimOSGetPos_GNSS_FEATURE_CFG_DATA GNSS_FEATURE_CFG_DATA
 * @{
 */

#define configUSE_I2C 0 /* Set this macro to use I2C bus; UART enabled by default */

#define configUSE_GEOFENCE 1 /* Set this macro to use Geofence */
#define configUSE_ODOMETER 0 /* Set this macro to use Odometer */
#define configUSE_DATALOG 0 /* Set this macro to use Datalog */
#define configUSE_FEATURE ((configUSE_GEOFENCE == 1) || (configUSE_ODOMETER == 1) || (configUSE_DATALOG == 1))
/**
 * @}
 */
 
/**
 * @}
 */
 
/**
 * @}
 */ 
    
/**
 * @}
 */ 

/**
 * @}
 */

/**
 * @}
 */
   

#ifdef __cplusplus
}
#endif

#endif /* GNSS_APP_CFG_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/

